Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 6600)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 6601)
@@ -3,71 +3,63 @@
 
 [UserChoices]
-#==============================================================
-ORCA_version=ORCA2.4
 pis=y
+gas=n
 age=n
 cfc11=n
 cfc12=n
+sf6=n
+c14=n
+Offline_Mode=y
 PisFreq=4
-Offline_Mode=y
-Offline_DynTrp=n
-Co2Anthr=n
-AtmCo2=2.8432e+02
+AnthrGas=n
+AtmCo2=2.78000e+02
+AtmN2o=2.74372e+02
+AtmCos=3.22225e+02
 OutputLevel=10
-#
-R_DYN=/ccc/store/cont003/dsm/p86caub/dmf_import/IGCM_OUT/IPSLCM5A/PROD/piControl/piControl2/OCE/Output/MO
-DynName=piControl2
-DynFreq=1M
-DynFiles=(grid_T grid_U grid_V grid_W)
-DynRunName=dyna
-DynYearStart=1850
-DynYearEnd=2000
-#==================================================================================================
+
 [InitialStateFiles]
 List= ()
 
 [BoundaryFiles]
-List= ()
+List=       ()
 
-ListNonDel= (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/GRIDS/ORCA2_CM5_domain_cfg.nc, domain_cfg.nc), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/TDIC_GLODAPv2.1_annual_r360x180xl31.nc, data_DIC_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/TALK_GLODAPv2.1_annual_r360x180xl31.nc , data_ALK_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/O2_WOA2009_monthly_r360x180xl31.nc     , data_OXY_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/PO4_WOA2009_monthly_r360x180xl31.nc    , data_PO4_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Si_WOA2009_monthly_r360x180xl31.nc     , data_SIL_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/NO3_WOA2009_monthly_r360x180xl31.nc    , data_NO3_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/DOC_PISCES_monthly_r360x180xl31.nc     , data_DOC_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Fer_PISCES_monthly_r360x180xl31.nc     , data_FER_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_orca2_bilinear.nc    , weights_3D_r360x180_bilin.nc ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Dust_inca_LOI/DUST_INCA_LOI6012-histAER_1M_1850.nc, dust.orca.nc       ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Dust_inca_LOI/weights_LMD144142_ORCA2_bilinear.nc , weights_lmd144142_bilin.nc ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Ndep_input4MIPs/Ndep_input4MIPs_surfaceFluxes_CMIP_NCAR-CCMI-2-0_gn_185001-185012-clim.nc, ndeposition.orca.nc), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Ndep_input4MIPs/weights_CMIP_NCAR-CCMI_ORCA2_bilinear.nc, weights_2d_bilin.nc), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/pmarge_etopo_ORCA2.nc                    , bathy.orca.nc      ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/river_global_news_ORCA2.nc               , river.orca.nc      ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/par_fraction_gewex_clim90s00s_ORCA2.nc   , par.orca.nc        ), \
-            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Solubility_T62_Mahowald_ORCA2.nc         , solubility.orca.nc ), \
-            (${R_IN}/OCE/NEMO/FORCINGS/GHG/CFCs_CDIAC.dat                      , CFCs_CDIAC.dat     ), \
-            (${R_IN}/OCE/NEMO/FORCINGS/GHG/CO2_OMIP6_1600_2014.txt             , atcco2.txt         )
-
+ListNonDel= (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/PiDIC_GLODAPv2_Lauvset2016_r360x180xl31.nc, data_DIC_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/TALK_GLODAPv2_Lauvset2016_r360x180xl31.nc , data_ALK_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/O2_WOA2013_r360x180xl31.nc                , data_OXY_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/PO4_WOA2013_r360x180xl31.nc               , data_PO4_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Si_WOA2013_r360x180xl31.nc                , data_SIL_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DOC_PISCES_annual_r360x180xl31.nc         , data_DOC_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Fer_FEMIP_model_median_r360x180xl31.nc    , data_FER_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/NO3_WOA2013_r360x180xl31.nc               , data_NO3_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/N2O_PISCES_annual_r360x180xl31.nc         , data_N2O_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DMS_PISCES_annual_r360x180xl31.nc         , data_DMS_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ISP_PISCES_annual_r360x180xl31.nc         , data_ISP_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/CO_PISCES_annual_r360x180xl31.nc          , data_CO_nomask.nc  ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/COS_PISCES_annual_r360x180xl31.nc         , data_COS_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_3D_r360x180_bilin.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_2D_r360x180_bilin.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_pmarge_etopo.nc                    , pmarge.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news.nc               , river.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       )
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_ref                , namelist_ref    ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref            , namelist_top_ref), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_pisces_ref         , namelist_pisces_ref), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref            , namelist_trc_ref   ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/domain_def_nemo.xml         , domain_def_nemo.xml ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/axis_def_nemo.xml           , axis_def_nemo.xml   ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/grid_def_nemo.xml           , grid_def_nemo.xml  ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-oce.xml      , field_def_nemo-oce.xml  ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml), \
-        (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_offline_${exptype}_cfg, namelist_cfg ), \
-        (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_top_offline_cfg, namelist_top_cfg   ), \
-        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_pisces_cfg                , namelist_pisces_cfg), \
-        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_trc_cfg                   , namelist_trc_cfg   ), \
-        (${SUBMIT_DIR}/PARAM/XML/context_nemo_offline.xml                , context_nemo.xml   ), \
-        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                               , iodef.xml               ), \
-        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-top.xml                   , file_def_nemo-top.xml   )
+List=   (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/namelist_top_ref            , namelist_top_ref             ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/namelist_pisces_ref         , namelist_pisces_ref          ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/namelist_trc_ref            , namelist_trc_ref             ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml    ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_top_p4z_cfg                                   , namelist_top_p4z_cfg         ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_top_p4z_gas_cfg                               , namelist_top_p4z_gas_cfg     ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_pisces_cfg                                    , namelist_pisces_cfg          ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_trc_cfg                                       , namelist_trc_cfg             ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/CFCs_CDIAC.dat                                         , CFCs_CDIAC.dat               ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/atmc14.dat                                             , atmc14.dat                   ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/splco2.dat                                             , splco2.dat                   ), \
+        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-top.xml                                       , file_def_nemo-top.xml        ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/global_co2_yearly_2022.txt  , atmco2.txt                   ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/global_n2o_yearly_2022.txt  , atmn2o.txt                   ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/global_cos_yearly_2022.txt  , atmcos.txt                   )
 
 
@@ -76,5 +68,5 @@
 
 [OutputText]
-List=   (ocean.output, namelist_top_ref, namelist_top_cfg, namelist_pisces_ref, namelist_pisces_cfg, tracer.stat)
+List=   (namelist_top_ref, namelist_top_cfg, namelist_pisces_ref, namelist_pisces_cfg, tracer.stat)
 
 
@@ -85,18 +77,13 @@
         (${config_UserChoices_JobName}_1y_CFC11.nc         , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_CFC11.nc     , NONE ) , \
         (${config_UserChoices_JobName}_1y_CFC12.nc         , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_CFC12.nc     , NONE ) , \
+        (${config_UserChoices_JobName}_1y_SF6.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_SF6.nc       , NONE ) , \
+        (${config_UserChoices_JobName}_1y_C14.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_C14.nc       , NONE ) , \
+        (${config_UserChoices_JobName}_1y_gas.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_gas.nc       , NONE ) , \
         (${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , NONE   ) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1m_gas.nc           , ${R_OUT_MBG_O_M}/${PREFIX}_1M_gas.nc       , NONE   ) , \
         (${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
-
-[Post_1D_bioscalar]
-Patches = ()
-GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
-TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
 
 [Post_1M_bioscalar]
@@ -113,33 +100,24 @@
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
-ChunckJob3D = 50Y
-Seasonal=ON
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
 
 [Post_1M_diad_T]
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (TPP)
-ChunckJob3D = 50Y
-Seasonal=ON
-
-[Post_1Y_ptrc_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = OFF
-TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si, POC, GOC, DOC)
+TimeSeriesVars2D = (Cflx, Dpco2)
+ChunckJob2D = 100Y
+TimeSeriesVars3D = ()
 ChunckJob3D = NONE
 Seasonal=OFF
 
-[Post_1Y_diad_T]
+[Post_1M_gas]
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (PAR, TPP)
-ChunckJob3D = 50Y
+TimeSeriesVars2D = (N2Oflx, Dpn2o, DMSflx, COSflx, COflx, ISPflx)
+ChunckJob2D = 100Y
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
 Seasonal=OFF
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/opa9.driver
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/opa9.driver	(revision 6600)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/opa9.driver	(revision 6601)
@@ -25,5 +25,5 @@
 }
 
-    OPA_RDT=$( supergrep rn_rdt ${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_${opa9_UserChoices_forcing}_${exptype}_cfg | sed 's/ *rn_rdt *=//' | sed 's/\. *,//' )
+    OPA_RDT=$( supergrep rn_Dt ${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_${opa9_UserChoices_forcing}_${exptype}_cfg | sed 's/ *rn_Dt *=//' | sed 's/\. *,//' )
 
     # Period Length In Days between DateBegin and first day of calendar 0001 01 01
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/pisces.driver
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/pisces.driver	(revision 6600)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/pisces.driver	(revision 6601)
@@ -28,5 +28,5 @@
 
 
-       OPA_RDT=$( supergrep rn_rdt  ${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_offline_${exptype}_cfg | sed 's/ *rn_rdt *=//' | sed 's/\. *,//' )
+       OPA_RDT=$( supergrep rn_Dt  ${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_offline_${exptype}_cfg | sed 's/ *rn_Dt *=//' | sed 's/\. *,//' )
        # Period Length In Days between DateBegin and first day of calendar 0001 01 01
        # /!\ Needed by OPA namelist to compute file names /!\
@@ -41,5 +41,4 @@
        IGCM_debug_Print 1 "OPA_NPDT_DAY   ${OPA_NPDT_DAY}"
        IGCM_debug_Print 1 "OPA_NPDT_YEAR  ${OPA_NPDT_YEAR}"
-
      fi
 
@@ -141,12 +140,5 @@
        fi
     fi
-    
-    if [ X"${pisces_UserChoices_Offline_Mode}" = X"y" ] ; then
-       if [ X"${pisces_UserChoices_Offline_DynTrp}" = X"y" ] ; then
-          OFF_DYNTRP=.TRUE.
-       else
-          OFF_DYNTRP=.FALSE.
-       fi
-    fi
+
     ##-- Restart configuration
     if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "n" ] ) ; then
@@ -177,5 +169,4 @@
       IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0  ${PeriodDateBegin}
       IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy  ${OPA_NLEAPY}
-      IGCM_comp_modifyNamelist blocker    namelist_cfg ln_dyntrp ${OFF_DYNTRP}
 
 # update domain_def.xml file 
@@ -190,11 +181,13 @@
    fi
 
-   if [ X"${pisces_UserChoices_pis}" = X"n" ] ; then
+   if [ X"${pisces_UserChoices_pis}" = X"y" ] ; then
       echo "DeActivate pisces outputs"
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file33 enabled .FALSE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file34 enabled .FALSE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file35 enabled .FALSE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file36 enabled .FALSE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file37 enabled .FALSE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file31 enabled .TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file32 enabled .TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file33 enabled .TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file34 enabled .TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file35 enabled .TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file36 enabled .TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file37 enabled .TRUE.
    fi
 
@@ -210,5 +203,5 @@
       echo "Activate CFC11  tracer"
       TOP_CFC11=.TRUE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file39 enabled .FALSE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file39 enabled .TRUE.
    else
       TOP_CFC11=.FALSE.
@@ -223,9 +216,60 @@
    fi
 ##
-   if [ X"${pisces_UserChoices_Co2Anthr}" = X"y" ] ; then
-      LCO2INT=.TRUE.
-   else
-      LCO2INT=.FALSE.
-   fi
+   if [ X"${pisces_UserChoices_sf6}" = X"y" ] ; then
+      echo "Activate SF6  tracer"
+      TOP_SF6=.TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file41 enabled .TRUE.
+   else
+      TOP_SF6=.FALSE.
+   fi
+##
+  if [ X"${pisces_UserChoices_c14}" = X"y" ] ; then
+      echo "Activate RC14  tracer"
+      TOP_C14=.TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file42 enabled .TRUE.
+   else
+      TOP_C14=.FALSE.
+   fi
+
+   if [ X"${pisces_UserChoices_gas}" = X"n" ] ; then
+      LGAS=.FALSE.
+      cp namelist_top_p4z_cfg  namelist_top_cfg
+   else
+      echo "Activate  gas tracer"
+      LGAS=.TRUE.
+      cp namelist_top_p4z_gas_cfg  namelist_top_cfg
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file50 enabled .TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file51 enabled .TRUE.
+   fi
+##
+   if [ X"${pisces_UserChoices_AnthrGas}" = X"y" ] ; then
+      # Read value for co2_ppm from file CO2.txt. If file not existing, take DEFAULT. 
+      if [ -f atmco2.txt ] ; then
+         line_year=`awk '/'${year}'/{print NR}' atmco2.txt`
+         PisCo2=`awk 'NR == '$line_year' {print $2 }' atmco2.txt`
+      else
+         PisCo2=${pisces_UserChoices_AtmCo2}
+      fi
+    else
+         PisCo2=${pisces_UserChoices_AtmCo2}
+    fi
+
+   if [ X"${pisces_UserChoices_AnthrGas}" = X"y" ] && [ X"${pisces_UserChoices_gas}" = X"y" ] ; then
+      if [ -f atmn2o.txt ] ; then
+         line_year=`awk '/'${year}'/{print NR}' atmn2o.txt`
+         PisNo2=`awk 'NR == '$line_year' {print $2 }' atmn2o.txt`
+      else
+         PisN2o=${pisces_UserChoices_AtmN2o}
+      fi
+      if [ -f atmcos.txt ] ; then
+         line_year=`awk '/'${year}'/{print NR}' atmcos.txt`
+         PisCos=`awk 'NR == '$line_year' {print $2 }' atmcos.txt`
+      else
+         PisCos=${pisces_UserChoices_AtmCos}
+      fi
+    else
+         PisN2o=${pisces_UserChoices_AtmN2o}
+         PisCos=${pisces_UserChoices_AtmCos}
+    fi
    ##-- Update namelist_top_cfg and namelist_pisces_cfg
     IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_rsttr  ${TOP_LRSTTR}
@@ -234,9 +278,15 @@
     IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_cfc11  ${TOP_CFC11}
     IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_cfc12  ${TOP_CFC12}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_sf6    ${TOP_SF6}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_c14    ${TOP_C14}
     if [ X"${pisces_UserChoices_pis}" = X"y" ] ; then
-       IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  ln_co2int ${LCO2INT}
-       IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  atcco2    ${pisces_UserChoices_AtmCo2}
+       IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  atcco2    ${PisCo2}
        IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  nrdttrc   ${pisces_UserChoices_PisFreq}
        IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  nn_pisdmp ${OPA_NPDT_YEAR}
+       IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  ln_dms     ${LGAS}
+       IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  ln_n2o     ${LGAS}
+       IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  ln_bvocs   ${LGAS}
+       IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  atcn2o     ${PisN2o}
+       IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  atccos     ${PisCos}
     fi
  
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/trc.driver
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/trc.driver	(revision 6601)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/trc.driver	(revision 6601)
@@ -0,0 +1,138 @@
+#!/bin/ksh
+
+#-----------------------------------
+function MBG_Initialize
+{ 
+    IGCM_debug_PushStack "MBG_Initialize"
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
+    IGCM_debug_PopStack "MBG_Initialize"
+}
+
+#-----------------------------------
+function MBG_Update
+{
+    IGCM_debug_PushStack "MBG_Update"
+
+    
+    ##--Write Frequency for iomput
+    ## Differents frequencies are allowed for MBG files
+
+    VT1D_ENABLE=".FALSE."
+    VT5D_ENABLE=".FALSE."
+    VT1M_ENABLE=".FALSE."
+    VT1Y_ENABLE=".FALSE."
+
+    for frequency in ${config_MBG_WriteFrequency} ; do
+        case ${frequency} in
+            ( 1D|1d ) VT1D_ENABLE=".TRUE." ;;
+            ( 5D|5d ) VT5D_ENABLE=".TRUE." ;;
+            ( 1M|1m ) VT1M_ENABLE=".TRUE." ;;
+            ( *[yY] ) VT1Y_ENABLE=".TRUE." ;;
+        esac
+    done
+
+    ##-- Restart configuration
+    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "n" ] ) ; then
+
+        #echo "NO RESTART FOR TOP"
+        TOP_LRSTTR=.FALSE.
+        TOP_NRSTTR=0
+
+    elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "y" ] ) ; then
+
+        #echo "RESTART TOP"
+        TOP_LRSTTR=.TRUE.
+        TOP_NRSTTR=0
+
+    else
+
+        #echo "RESTART TOP"
+        TOP_LRSTTR=.TRUE.
+        TOP_NRSTTR=2
+    fi
+
+   if [ X"${trc_UserChoices_age}" = X"y" ] ; then
+      echo "Activate age tracer"
+      TOP_AGE=.TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file38 enabled .TRUE.
+   else
+      TOP_AGE=.FALSE.
+   fi
+##
+   if [ X"${trc_UserChoices_cfc11}" = X"y" ] ; then
+      echo "Activate CFC11  tracer"
+      TOP_CFC11=.TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file39 enabled .TRUE.
+   else
+      TOP_CFC11=.FALSE.
+   fi
+##
+   if [ X"${trc_UserChoices_cfc12}" = X"y" ] ; then
+      echo "Activate CFC12  tracer"
+      TOP_CFC12=.TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file40 enabled .TRUE.
+   else
+      TOP_CFC12=.FALSE.
+   fi
+##
+   if [ X"${trc_UserChoices_sf6}" = X"y" ] ; then
+      echo "Activate SF6  tracer"
+      TOP_SF6=.TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file41 enabled .TRUE.
+   else
+      TOP_SF6=.FALSE.
+   fi
+##
+  if [ X"${trc_UserChoices_c14}" = X"y" ] ; then
+      echo "Activate RC14  tracer"
+      TOP_C14=.TRUE.
+      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file42 enabled .TRUE.
+   else
+      TOP_C14=.FALSE.
+   fi
+
+##
+   ##-- Update namelist_top_cfg and namelist_trc_cfg
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_rsttr  ${TOP_LRSTTR}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     nn_rsttr  ${TOP_NRSTTR}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_age    ${TOP_AGE}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_cfc11  ${TOP_CFC11}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_cfc12  ${TOP_CFC12}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_sf6    ${TOP_SF6}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_c14    ${TOP_C14}
+ 
+    # Update iodef.xml
+
+    IGCM_debug_Print 1 'Informations into iodef.xml : VT1D_ENABLE VT5D_ENABLE VT1M_ENABLE VT1Y_ENABLE '
+    IGCM_debug_Print 1 ${VT1D_ENABLE}  ${VT5D_ENABLE} ${VT1M_ENABLE} ${VT1Y_ENABLE}
+
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-top.xml 1d_pis enabled ${VT1D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-top.xml 5d_pis enabled ${VT5D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-top.xml 1m_pis enabled ${VT1M_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-top.xml 1y_pis enabled ${VT1Y_ENABLE}
+
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-top.xml 1d_pis output_level ${trc_UserChoices_OutputLevel}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-top.xml 5d_pis output_level ${trc_UserChoices_OutputLevel}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-top.xml 1m_pis output_level ${trc_UserChoices_OutputLevel}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-top.xml 1y_pis output_level ${trc_UserChoices_OutputLevel}
+
+
+
+   IGCM_debug_PopStack "MBG_Update"
+}
+
+#-----------------------------------
+function MBG_Finalize
+{
+    IGCM_debug_PushStack "MBG_Finalize"
+
+    echo FINALIZE MBG !!!
+
+    IGCM_debug_PopStack "MBG_Finalize"
+}
+
